using System;
using System.Collections.Generic;
using System.Text;

using System.Windows.Data;
using System.Globalization;

namespace ExtendSample.util
{
    public class ConvertSin : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            double indexNumber = (double)value;
            double radius = System.Convert.ToDouble(parameter);

            double angle = 90 - (360 / 12 * indexNumber);
            double radian = angle * Math.PI / 180;

            double posSin = Math.Sin(radian * -1) * radius;

            //500͊liۂ̉~̑傫usreControl400ɂĂjA80̓TlCg̃TCY
            double returnvalue = posSin + (500 / 2) - (80 / 2);
            return returnvalue;

        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotSupportedException("This method should never be called");
        }
    }







    public class ConvertCos : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            double indexNumber = (double)value;
            double radius = System.Convert.ToDouble(parameter);

            double angle = 90 - (360 / 12 * indexNumber);
            double radian = angle * Math.PI / 180;

            double posCos= Math.Cos(radian) * radius;

            //500͊liۂ̉~̑傫usreControl400ɂĂjA80̓TlCg̃TCY
            double returnvalue = posCos + (500 / 2) - (80 / 2);

            return returnvalue;

        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotSupportedException("This method should never be called");
        }
    }




}
